Internet Explorer Compatibility with our Auction Sites

with No Comments

Internet Explorer (versions below 9.0) is no longer compatible with our auction sites.  Internet Explorer has not been supported by Microsoft®  since 2016.  We understand the frustration when browsers become “outdated” and no longer compatible, however we are required to apply updates to our sites in order to be compliant with security features and current browsers.   If you are using Internet Explorer, we suggest that you download an alternate browser which will resolve any issues you are experiencing.

Please follow and like us: